RESTinio

Functions | Variables
zutil.c File Reference
`#include "zutil.h"`
`#include "gzguts.h"`

Go to the source code of this file.

## Functions
const char *ZEXPORT | zlibVersion ()
uLong ZEXPORT | zlibCompileFlags ()
const char *ZEXPORT | zError (int err)
void ZLIB_INTERNAL | zmemcpy (Bytef *dest, const Bytef *source, uInt len)
int ZLIB_INTERNAL | zmemcmp (Bytef *s1, const Bytef *s2, uInt len) const
void ZLIB_INTERNAL | zmemzero (Bytef *dest, uInt len)
voidp malloc | OF ((uInt size))
voidp calloc | OF ((uInt items, uInt size))
void free | OF ((voidpf ptr))
voidpf ZLIB_INTERNAL | zcalloc (voidpf opaque, unsigned items, unsigned size)
void ZLIB_INTERNAL | zcfree (voidpf opaque, voidpf ptr)

## Variables
z_const char *const | z_errmsg [10]

## Function Documentation

## ◆ OF() [1/3]

voidp calloc OF | ( | (uInt items, uInt size) |  | ) |

## ◆ OF() [2/3]

voidp malloc OF | ( | (uInt size) |  | ) |

## ◆ OF() [3/3]

void free OF | ( | (voidpf ptr) |  | ) |

## ◆ zcalloc()

voidpf ZLIB_INTERNAL zcalloc | ( | voidpf | opaque,
|  | unsigned | items,
|  | unsigned | size
| ) |  |

Definition at line 305 of file zutil.c.

## ◆ zcfree()

void ZLIB_INTERNAL zcfree | ( | voidpf | opaque,
|  | voidpf | ptr
| ) |  |

Definition at line 315 of file zutil.c.

## ◆ zError()

const char *ZEXPORT zError | ( | int | err | ) |

Definition at line 133 of file zutil.c.

## ◆ zlibCompileFlags()

uLong ZEXPORT zlibCompileFlags | ( |  | ) |

Definition at line 32 of file zutil.c.

## ◆ zlibVersion()

const char *ZEXPORT zlibVersion | ( |  | ) |

Definition at line 27 of file zutil.c.

## ◆ zmemcmp()

int ZLIB_INTERNAL zmemcmp | ( | Bytef* | s1,
|  | const Bytef* | s2,
|  | uInt | len
| ) |  | const

Definition at line 160 of file zutil.c.

## ◆ zmemcpy()

void ZLIB_INTERNAL zmemcpy | ( | Bytef* | dest,
|  | const Bytef* | source,
|  | uInt | len
| ) |  |

Definition at line 149 of file zutil.c.

## ◆ zmemzero()

void ZLIB_INTERNAL zmemzero | ( | Bytef* | dest,
|  | uInt | len
| ) |  |

Definition at line 173 of file zutil.c.

## Variable Documentation

## ◆ z_errmsg

z_const char* const z_errmsg[10]

Initial value:
= {
(z_const char *)"need dictionary",
(z_const char *)"stream end",
(z_const char *)"",
(z_const char *)"file error",
(z_const char *)"stream error",
(z_const char *)"data error",
(z_const char *)"insufficient memory",
(z_const char *)"buffer error",
(z_const char *)"incompatible version",
(z_const char *)""
}
z_const
#define z_const
Definition: zconf.h:237

Definition at line 13 of file zutil.c.